queue - Task #6519

Stabilisation spring 2019
03/10/2019 11:34 AM - Nico Schottelius

Status: Rejected Start date: 03/10/2019
Priority: Urgent Due date: 03/27/2019
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

PM Check date: 03/13/2019

Description

We need to add / change:

e CHANGE mirror.ungleich.ch cannot be used in cdist types that are used on servers
o | suggest to introduce "mirror.placeX.ungleich.ch" in each place
o | suggest to point mirror.placeX.ungleich.ch to the active router IP (IPv6 only)
o | suggest to use http[s]://mirror.placeX.ungleich.ch in the netboot image and cdist
CREATE mirror.placeX.ungleich.ch
o Install nginx on both routers
o Ensure that the essential packages are present
= Devuan packages
= hwraid repo
= consul / prometheus (?)
o Only usable for our own range (i.e. 2a0a:e5c0::/29 and the other v6 network)
o Use nftables for it
code.ungleich.ch cannot be used in cdist types that are used on servers:
o code.ungleich.chis a VM
o if the VM is down, servers don't get configured
o Suggestion: mirror the ungleich-tools repo to the routers, mirror.placeX..., accessible by http(s)
We will try to connect all systems to UPS ONLY
o My theory is that because they are also connected to the regular grid they experience an outage
o We started with router1
o Need to get in touch with Juanito or Bernegger (electricity company) to test whether UPS only setup works
Update the monitoring infrastructure:
o ensure that prometheus (port 9090) is not reachable without authentication
o Ensure that there is 1 entry point for both monitoring systems
o Ensure that changes (dashboards) are saved to both monitoring systems
o Ensure that all production systems are monitored

Objective:
e Servers only depend on routers
e |f there is no network to the outside, servers are still booted/configured
¢ If VMs are down, server are still booted/configured

Jason, can you coordinate this with Dominique (consultant), Jin-Guk (implementation) and Roli/Marc/Sami (learning, understanding)?

History

#1 - 03/10/2019 12:37 PM - Nico Schottelius

- Description updated

#2 - 03/11/2019 02:45 PM - Jason Kim
- Status changed from New to Seen

- PM Check date set to 03/11/2019

#3 - 03/13/2019 03:33 PM - Jason Kim
- PM Check date changed from 03/11/2019 to 03/13/2019

- Status changed from Seen to In Progress
- Due date set to 03/27/2019

#4 - 06/25/2019 08:41 PM - Mirjana Rupar

Jason Kim, can you, please, update the status of the task?

#5 - 06/25/2019 10:27 PM - Nico Schottelius

- Assignee changed from Jason Kim to Jin-Guk Kwon

Better suited for Jin-Guk

#6 - 06/26/2019 12:07 PM - Nico Schottelius
- Project changed from 45 to queue

- Status changed from In Progress to New

- Assignee deleted (Jin-Guk Kwon)

- Priority changed from Normal to Urgent

important, but queued for the moment

#7 - 01/03/2024 10:49 AM - Nico Schottelius

- Status changed from New to Rejected
